# fn:unordered

fn:unordered(item* $sequence) → item*

Function signature

$sequence | item() *
Result | item() *

Returns a random permutation of its argument

XPath 2.0 Specification

Note:In most cases this is a no-op in Saxon: that is, the function returns the value of its argument unchanged. The only important case where this function has any effect in the Saxon implementation is where the sequence supplied as argument is a Step using a reverse axis: for example, unordered(ancestor::*) returns the ancestors in reverse document order. But applications should not rely on the actual order; the function is intended to be used by applications that do not care about the order of the results.

Next